Create ACH Charge

Creates ACH debit/credit movement.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Include metadata to provide more context for your ACH transactions.
{
  "amount": 100,
  "routing_number": "{{routing_number}}",
  "account_number": "{{accouunt_number}}",
  "first_name": "Test",
  "last_name": "Test",
  "account_type": "Personal Checking",
  "sec_code": "WEB",
  "type": "debit",
  "metadata": "{\"reference_id\": \"1234567\"}"
}
Click to view details about the account information parameters

1. Account Number (account_number)

  • Type: integer
  • Description: Account Number.
  • Required: Required if customer_id is not present
  • Format: Numeric
  • Min Length: 3 digits
  • Max Length: 17 digits
  • Example: 123432876

2. Routing Number (routing_number)

  • Type: integer
  • Description: Routing Number.
  • Required: Required if customer_id is not present
  • Format: Numeric
  • Min Length: 9 digits
  • Max Length: 9 digits
  • Example: 123432876

3. First Name (first_name)

  • Type: string
  • Description: First name of the account holder.
  • Required: Required if customer_id is not present
  • Format: Alphanumeric
  • Min Length: 2 characters
  • Max Length: 50 characters
  • Example: John

4. Last Name (last_name)

  • Type: string
  • Description: Last name of the account holder.
  • Required: Required if customer_id is not present
  • Format: Alphanumeric
  • Min Length: 2 characters
  • Max Length: 50 characters
  • Example: Doe

5. Account Type (account_type)

  • Type: string
  • Description: Account type. Must be one of the following: 'Personal Checking', 'Personal Savings', 'Business Checking', 'Business Savings'.
  • Required: Yes
  • Format: String
  • Example: Business Checking

6. SEC Code (sec_code)

  • Type: string
  • Description: SEC code. Must be one of the following: 'ARC', 'BOC', 'CCD', 'POP', 'PPD', 'RCK', 'TEL', 'WEB'.
  • Required: Optional
  • Format: String
  • Example: WEB

7. Type (type)

  • Type: string
  • Description: Type of flow. Must be one of the following: 'debit', 'credit'.
  • Required: Yes
  • Format: String
  • Example: debit

8. Amount (amount)

  • Type: integer
  • Description: A positive integer in cents representing how much to charge.
  • Required: Yes
  • Format: Numeric (in cents)
  • Min Length: 1 digit
  • Max Length: 8 digits
  • Example:
    • 9 would be $0.09
    • 99999999 would be $999,999.99
  • Note: The minimum amount is $0.50 USD when testing in a test environment.

9. Currency (currency)

  • Type: string
  • Description: Three-letter ISO currency code, in lowercase.
  • Required: Yes
  • Format: Alphabetic
  • Allowed Values:
    • usd

10. Receipt Email (receipt_email)

  • Type: string
  • Description: Recipient Email.
  • Required: Optional
  • Format: String
  • Example: [email protected]

11. Receipt Phone (receipt_phone)

  • Type: string
  • Description: The cardholder's phone number.
  • Required: Optional
  • Format: Numeric
  • Min Length: 2 digits
  • Max Length: 11 digits
  • Example: 8772036624

12. Address Line 1 (address_line1)

  • Type: string
  • Description: The customer's address for line 1.
  • Required: Optional
  • Format: Alphanumeric
  • Min Length: 5 characters
  • Max Length: 50 characters
  • Example: 103 Mason Street

13. ZIP (zip)

  • Type: string
  • Description: The customer's ZIP code.
  • Required: Optional
  • Format: Numeric and Hyphen
  • Max Length: 10 digits
  • Example:
    • 10469
    • 10469-2345
  • Note: To group numbers, use a hyphen symbol. No other symbols or characters are allowed.

14. Customer ID (customer_id)

  • Type: string
  • Description: An ID against which a new ACH charge will be created.
  • Required: Yes
  • Format: Alphanumeric
  • Note: Provide the customer_id that was created using the Create a Customer API.

15. Bank Account ID (bank_account_id)

  • Type: string
  • Description: An ID against which a new ACH charge will be created.
  • Required: Yes
  • Format: Alphanumeric
  • Note: Provide the bank_account_id that was created using the Create Bank Account API.
Body Params
int32
required

A positive integer in cents representing how much to charge.

string
enum
required

Sec. code' Must be one of the following: 'CCD','PPD','TEL','WEB'

Allowed:
string
enum
required

Type of flow. Must be one of the following: 'debit','credit'. 'debit' charges the customer and deposits funds in into your (the merchant). 'credit' charges you (the merchant) and deposits funds into your customers account

Allowed:
string

Account Number.

string

Routing Number

string

First name of account holder

string

Last name of account holder

string
enum

Account type. Must be one of the following: 'Personal Checking','Personal Savings','Business Checking','Business Savings'

Allowed:
string

Three-letter ISO currency code, in lowercase.

string

Recepient Email

string

The cardholder's phone number.

string

The customer's address for line 1.

string

The customer's ZIP code.

string

An ID against which a new subscription will be created.

string

Bank account ID of the ACH charge.

string

company_name is required when sending account type as Business Checking or Business Savings

Headers
string

Ensures that a request is processed only once, even if it is retried due to network timeouts or errors. When provided, the server uses the key to identify and return the result of a previous request with the same key, preventing duplicate operations (e.g., duplicate payments or record creation).

string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json